Skip to main content
PUT
Update a tag definition

Authorizations

Authorization
string
header
required

A bearer token is required for all API requests.

Path Parameters

tagId
string
required

The unique identifier for the tag definition.

Body

application/json

The updated details for the tag definition.

key
string
required

The updated display name for the tag category.

Maximum string length: 100
Example:

"Customer Tier"

color
string
required

The updated hex color code.

Pattern: ^#[0-9A-Fa-f]{6}$
Example:

"#E91E63"

mandatory_on
enum<string>[]

The updated list of resource types for which this tag is mandatory.

The type of resource being correlated.

Available options:
site,
user,
wan,
account

Response

The tag definition was updated successfully.

id
string

The unique identifier for the tag definition.

Example:

"tag_01E8Z4Q6J7B6A5P4E3D2C1B0A9"

key
string

The display name for the tag category (e.g., "Region", "Priority").

Example:

"Region"

color
string

A hex color code used for UI display.

Example:

"#3F51B5"

mandatory_on
enum<string>[]

A list of resource types where this tag must be applied.

The type of resource being correlated.

Available options:
site,
user,
wan,
account
created_at
string<date-time>

The timestamp when the tag definition was created.

Example:

"2025-10-29T12:00:00Z"

updated_at
string<date-time>

The timestamp when the tag definition was last updated.

Example:

"2025-10-29T12:30:00Z"